Home · Quickstart · Documentation · About · Nipy

# pipeline.engine.base

## Module: `pipeline.engine.base`

Inheritance diagram for `nipype.pipeline.engine.base`:

Defines functionality for pipelined execution of interfaces

The EngineBase class implements the more general view of a task.

## `EngineBase`

class `nipype.pipeline.engine.base.``EngineBase`(name=None, base_dir=None)

  Bases: `future.types.newobject.newobject`

  Defines common attributes and functions for workflows and nodes.

  Methods

  `clone`(name) | Clone an EngineBase object
  `load`(filename) |
  `next`() |
  `save`([filename]) |

  `__init__`(name=None, base_dir=None)

    Initialize base parameters of a workflow or node

    Parameters:

    name : string (mandatory)

    > Name of this node. Name must be alphanumeric and not contain any special characters (e.g., ‘.’, ‘@’).

    base_dir : string

    > base output directory (will be hashed before creations) default=None, which results in the use of mkdtemp

  `clone`(name)

    Clone an EngineBase object

    Parameters:

    name : string (mandatory)

    > A clone of node or workflow must have a new name

  `fullname`
  `inputs`
  `load`(filename)
  `name`
  `next`()
  `outputs`
  `save`(filename=None)